[Overview][Procedures and functions][Index] | Reference for unit 'strings' (#rtl)

# strlower

Convert null-terminated string to all-lowercase.

## Declaration

Source position: strings.pp line 81

`function strlower(`
`p: pchar`
`):pchar;`

## Description

Converts P to an all-lowercase string. Returns P.

## Errors

None.

## See also

StrUpper |  | Convert null-terminated string to all-uppercase

## Example

    Program Example14;

    Uses strings;

    { Program to demonstrate the StrLower and StrUpper functions. }

    Const
        P1 : PChar = 'THIS IS AN UPPERCASE PCHAR STRING';
        P2 : PChar = 'this is a lowercase string';

    begin
      Writeln ('Uppercase : ',StrUpper(P2));
      StrLower (P1);
      Writeln ('Lowercase : ',P1);
    end.

Documentation generated on: Feb 26 2014